We're Hiring!

Mattermost Discussion Forums

Playbooks plugin not visible after upgrade to 6.0

Summary
Update to 6.0 (step-wise via 5.37 and 5.38) - dockerized
After starting the new version and upgrading the clients, I saw “Channels” and “Boards”, but no “Plabooks” as advertised.

Under Plugin Management, I saw that the incident management and the playbook addon were marked yellow and had a problem

Logs:

“Failed to sync plugin from file store”,“bundle”:“plugins/com.mattermost.plugin-incident-management.tar.gz”,“error”:“installExtractedPlugin: Unable to restart plugin on upgrade., a valid Mattermost Enterprise E20 license is required to use this plugin”}

“level”:“error”,“msg”:“Failed to install prepackaged plugin”,“caller”:“app/plugin.go:887”,“path”:"/mattermost/prepackaged_plugins/mattermost-plugin-playbooks-v1.20.1-linux-amd64.tar.gz",“error”:“Failed to install extracted prepackaged plugin /mattermost/prepackaged_plugins/mattermost-plugin-playbooks-v1.20.1-linux-amd64.tar.gz: installExtractedPlugin: Unable to restart plugin on upgrade., failed to run migrations: failed to complete migrations: error executing migration from version 0.29.0 to version 0.30.0: unable to add a primary key: Error 1280: Incorrect index name ‘posts_unique’”}

I removed the plugins from the management window, but I’m unable to add them back, as they don’t show up in the marketplace.

Not entirely sure what the expected behaviour here is?
Is an enterprise license required for Playbooks? The notes say 1 playbook is free?
Perhaps I am missing something?

Would be great if anyone could point me towards a solutions?

Best,
-h

There is a similar report in Github - would you be able to help provide these details MM6.0 version playbooks missing · Issue #18681 · mattermost/mattermost-server · GitHub, either here or in the Github Issue?

I’m sorry to hear about this difficulty, @hauschka. The old plugin – “incident-management” – is supposed to be removed automatically when playbooks gets installed, with support for TE installations.

However, it looks like the playbooks installation failed with:

installExtractedPlugin: Unable to restart plugin on upgrade., failed to run migrations: failed to complete migrations: error executing migration from version 0.29.0 to version 0.30.0: unable to add a primary key: Error 1280: Incorrect index name ‘posts_unique’”

This is not an error I’ve seen yet, but we’ll investigate and hopefully get you a resolution shortly. Can you let us know if you’re using MySQL, and what version?

Hi Jesse,

Thanks for taking the time to answer.

I’m running mariadb as the database (Docker Hub)

Hi @amy.blais,

I uploaded the file over at github, as I can’t upload text files here.

Github Issue: Playbooks missing in MM6.0 · Issue #18723 · mattermost/mattermost-server · GitHub